Get user by ID
Retrieve detailed information about a specific user.
Path Parameters
User ID (UUID).
uuidResponse
200Error Responses
invalid_schema
Request validation failed.
missing_api_token
No authentication token provided.
invalid_api_token
Invalid or expired authentication token.
scope_permission_denied
Insufficient permissions for this operation.
user_access_denied
Service is not granted access to the user.
user_not_found
User was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"birthday": "2019-08-24T14:15:22Z",
"gender": "MALE",
"mainSportType": "TENNIS",
"playingHand": "LEFT"
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "user_not_found",
"message": "string"
}
}List sessions for user GET
Retrieve a paginated list of sessions for a connected user from latest to oldest. By default, sessions are returned only when all participants are linked to your external service.
List users for external service GET
Retrieve a paginated list of all users connected to your service.